Walmart

Walmart Review Scraper

This endpoint allows you to scrape a Walmart Product Review.

Note

Use the Sync Scraper API Server (https://sync.scraper.mrscraper.com) host when calling this endpoint.

POST
/api/walmart/rnr/sync
AuthorizationBearer <token>

In: header

Request Body

application/json

url*string

Walmart product review URL

Response Body

application/json

curl -X POST "https://api.app.mrscraper.com/api/walmart/rnr/sync" \  -H "Content-Type: application/json" \  -d '{    "url": "https://www.walmart.com/ip/Kellogg-s-Frosted-Mini-Wheats-Breakfast-Cereal-Kids-Cereal-Family-Breakfast-Mega-Size-Original-32oz-Box-1-Box/5323968750"  }'
{
  "success": true,
  "message": "Succesfully scraped",
  "data": {
    "url": "https://www.walmart.com/ip/Kellogg-s-Frosted-Mini-Wheats-Breakfast-Cereal-Kids-Cereal-Family-Breakfast-Mega-Size-Original-32oz-Box-1-Box/5323968750",
    "result": {
      "pname": "Kellogg’s Frosted Mini-Wheats Breakfast Cereal, High Fiber, 48g Whole Grain, Mega Size, 32 oz",
      "rating": 4.7,
      "reviews": {
        "total": 1229,
        "data": [
          {
            "customer_name": "no name",
            "comment_title": "Love that they are small",
            "comment": "I like the small size of Mini Wheats. I like the sugary coating as well.",
            "customer_rating": 5,
            "date_of_comment": "9/9/2021"
          }
        ]
      }
    }
  }
}